"use strict";

/* Copyright 2002-2018 MarkLogic Corporation. All Rights Reserved. */

const endpoint = require("../lib/endpoint");

class EP extends endpoint.Endpoint {
  GET() {
    let motd = cts.doc('/motd.json');
    if (motd && motd.root && motd.root.message) {
      return {
        message: motd.root.message,
        subtext: motd.root.subtext || null
      };
    } else {
      return {
        "message": "Ops Director",
        "subtext": "Rely on Ops Director to see your entire MarkLogic infrastructure – whether it's across multiple clusters, cloud and on-premises systems, or production, test, and development environments."
      };
    }
  }
}
endpoint.Endpoint.respond(EP);
